Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.util
Interface XMLHttpRequest

    public interface XMLHttpRequest

An interface for objects that can fetch HTTP resources. This interface will likely move to a different package at some point (perhaps org.w3c.dom.webapi).

See Also:
  The XMLHttpRequest Object

Field Summary
`static short` | `DONE`
`static short` | `HEADERS_RECEIVED`
`static short` | `LOADING`
`static short` | `OPENED`
`static short` | `UNSENT`

Method Summary
`void` | `abort()`
`String` | `getAllResponseHeaders()`
`EventListener` | `getOnreadystatechange()`
`short` | `getReadyState()`
`String` | `getResponseHeader(String header)`
`String` | `getResponseText()`
`String` | `getResponseXML()`
`short` | `getStatus()`
`String` | `getStatusText()`
`void` | `open(String method, String url)`
`void` | `open(String method, String url, boolean async)`
`void` | `open(String method, String url, boolean async, String user)`
`void` | `open(String method, String url, boolean async, String user, String password)`
`void` | `send()`
`void` | `send(Document data)`
`void` | `send(String data)`
`void` | `setOnreadystatechange(EventListener l)`
`void` | `setRequestHeader(String header, String value)`

Field Detail

### UNSENT

    static final short UNSENT

See Also:
  Constant Field Values

### OPENED

    static final short OPENED

See Also:
  Constant Field Values

### HEADERS_RECEIVED

    static final short HEADERS_RECEIVED

See Also:
  Constant Field Values

### LOADING

    static final short LOADING

See Also:
  Constant Field Values

### DONE

    static final short DONE

See Also:
  Constant Field Values

Method Detail

### getOnreadystatechange

    EventListener getOnreadystatechange()

### setOnreadystatechange

    void setOnreadystatechange(EventListener l)

### getReadyState

    short getReadyState()

### open

    void open(String method,
              String url)

### open

    void open(String method,
              String url,
              boolean async)

### open

    void open(String method,
              String url,
              boolean async,
              String user)

### open

    void open(String method,
              String url,
              boolean async,
              String user,
              String password)

### setRequestHeader

    void setRequestHeader(String header,
                          String value)

### send

    void send()

### send

    void send(String data)

### send

    void send(Document data)

### abort

    void abort()

### getAllResponseHeaders

    String getAllResponseHeaders()

### getResponseHeader

    String getResponseHeader(String header)

### getResponseText

    String getResponseText()

### getResponseXML

    String getResponseXML()

### getStatus

    short getStatus()

### getStatusText

    String getStatusText()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.